Stores and Shopify

One row per creator enrollment on the Shopify or custom website store, with commission paid, unpaid and pending

GET/api/public/v1/shopify/store_creators
LiveAnswers from your brand's records now.

Operation id listShopifyStoreCreators

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/shopify/store_creators" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
platformquerystringOne of shopifywebsite
campaign_idqueryinteger
campaign_scopequerystringOne of ambassadorsocialall
creator_idqueryinteger
statusquerystringOne of activecompletedremovedall
searchquerystring
paid_statusquerystringOne of unpaidpaidpaid_externallypendingall
include_heavy_dataqueryboolean
sort_byquerystringOne of unpaidrevenuepaidpaid_externallypendingpage_viewsunique_clicks
sort_directionquerystringOne of ascdesc
pagequeryinteger
per_pagequeryinteger

Responses

200Success

FieldTypeNotes
dataarray of object
data[].[].active_discount_codestring, nullable
data[].[].avatar_urlstring, nullable
data[].[].campaign_idinteger
data[].[].campaign_namestring
data[].[].commission_ratenumber, nullable
data[].[].idinteger
data[].[].namestring, nullable
data[].[].paid_amountstring
data[].[].paid_externally_amountstring
data[].[].pending_amountstring
data[].[].statusstring
data[].[].store_affiliate_linkstring, nullable
data[].[].store_unique_tagstring, nullable
data[].[].unpaid_amountstring
data[].[].user_idinteger
metaobject
meta.current_pageinteger
meta.page_countinteger
meta.row_countinteger
successboolean

Example

{
  "data": [
    {
      "active_discount_code": "MAYA15",
      "avatar_url": "https://example.com/p/1",
      "campaign_id": 1024,
      "campaign_name": "Example name",
      "commission_rate": 0.15,
      "id": 1024,
      "name": "Example name",
      "paid_amount": "string",
      "paid_externally_amount": "string",
      "pending_amount": "string",
      "status": "string",
      "store_affiliate_link": "https://example.com/p/1",
      "store_unique_tag": "string",
      "unpaid_amount": "string",
      "user_id": 1024
    }
  ],
  "meta": {
    "current_page": 1,
    "page_count": 1,
    "row_count": 3
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.